Skip to main content
Resource Center/Resource Pool/Affinity Group Operations
GETAffinity Group OperationsSince 2.3SynchronousAuth Required

QueryAffinityGroup

QueryAffinityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • policyStringRequired

      The affinity group policy.

    • versionStringRequired

      The version of the affinity group allocation algorithm.

    • typeStringRequired

      The affinity group type. The current type is host. In the future, network, router, data center, and rack affinity groups will be supported.

    • applianceStringRequired

      The affinity group appliance.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usagesListRequired

      See usages.

      • uuidStringRequired

        The resource binding UUID of the affinity group.

      • affinityGroupUuidStringRequired

        The affinity group UUID.

      • resourceUuidStringRequired

        The UUID of the resource that joins the affinity group.

      • resourceTypeStringRequired

        The type of the resource that joins the affinity group.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/affinity-groups

/zstack/v1/affinity-groups

Operation ID

QueryAffinityGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/affinity-groups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "99fa95af4aac4eaabd320dbdd6d36ef8", "name": "affinity-group-test", "description": "affinity group for test", "policy": "ANTISOFT", "version": "1.0", "type": "HOST", "usages": [ { "resourceUuid": "acedd8848c874cd7b1c68df7c593f6c1", "resourceType": "HOST" } ] } ] }

Change History

This API has no change history records yet.

View all change history